# Fetch leave type

Retrieves a single leave type by its ID.

Endpoint: GET /leave_types/{leave_type_id}
Version: v1
Security: AuthToken

## Path parameters:

  - `leave_type_id` (integer, required)
    The ID of the leave type.

## Response 200 fields (application/json):

  - `id` (integer)
    Unique identifier for the leave type.
    Example: 1

  - `description` (string,null)
    A detailed description of the leave type. Can be null.
    Example: "Paid time off"

  - `guid` (string, required)
    A unique GUID for the leave type.
    Example: "bd5fa048-b3f4-467a-a3b5-18211d488d21"

  - `name` (string, required)
    The name of the leave type.
    Example: "Vacation"

  - `deleted_at` (string,null)
    Timestamp when the leave type was deleted. Can be null.

  - `created_at` (string)
    The time of creation.
    Example: "2013-09-10T21:31:06Z"

  - `updated_at` (string)
    The time of last update.
    Example: "2013-09-10T21:31:06Z"

  - `type` (string)
    The object type.
    Example: "LeaveType"

  - `uid` (string)
    The globally unique identifier (UID) for the leave type.
    Example: "leavetype-1234567"

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


